var datareload = document.querySelectorAll("[data-reload]");

var language = {
    eng: {
        realMadrid: "Real Madrid is one of the most successful football clubs in the world, with a rich history and a global fan base. The team has won numerous domestic and international titles, including 13 European Cup/UEFA Champions League trophies - more than any other team. Real Madrid also boasts a strong roster of players, past and present, including legends like Zinedine Zidane, Cristiano Ronaldo, and Alfredo Di Stefano.",
        stadium: "Real Madrid is one of the most successful football clubs in the world, with a rich history that includes some of the greatest players to ever grace the sport. From the legendary Alfredo Di Stefano to the iconic Cristiano Ronaldo, Real Madrid has produced a long line of footballing legends that have left an indelible mark on the sport. Zinedine Zidane, who won numerous titles with the team as a player and later returned to coach them to even more success, is also among the club's most celebrated figures. Here are some Honorable Mentions:",
        cristianoRonaldo: "Cristiano Ronaldo is one of the most iconic players to have ever worn the Real Madrid shirt. He won an incredible four UEFA Champions League trophies with the team, as well as numerous domestic titles and individual awards.",
        zidane: "Zinedine Zidane is widely regarded as one of the greatest footballers of all time, and is a legend at Real Madrid. He won numerous titles with the team as a player, including three UEFA Champions League trophies, and later returned to coach the team to even more success.",
        diStefano: "Alfredo Di Stefano is a true legend of Real Madrid, having played for the team in the 1950s and 1960s. He won five consecutive European Cup trophies with the team, and is widely regarded as one of the greatest players in the club's history.",
        benzema: "Karim Benzema is a French professional footballer who currently plays as a striker for Real Madrid. He is widely regarded as one of the best strikers in the world and has been an instrumental part of Real Madrid's success in recent years. Benzema has won numerous domestic and international titles with the team, including four UEFA Champions League trophies. He is known for his incredible goal-scoring ability, as well as his ability to create chances for his teammates. Benzema has also been recognized with individual awards, such as the French Player of the Year award in 2011 and 2012 and also The Ballon d'or.",
        win: "if you want to win a ticket to a Real Madrid match, all you need to do is click the button below and you will be redirected to a registration page! Real Madrid is one of the most successful football clubs in the world, and their matches are a sight to behold. From the roar of the crowd to the skill and athleticism of the players on the field, attending a Real Madrid match is an unforgettable experience. And now, thanks to our simple registration process, you have the chance to be there in person to witness all the action. Don't miss out on this opportunity to see one of the greatest football clubs in history - click the button now and register for your chance to win!",
        register_btn:"Register Now !"
    },
    es: {
       
        realMadrid: "Real Madrid es uno de los clubes de fútbol más exitosos del mundo, con una rica historia y una base de fanáticos global. El equipo ha ganado numerosos títulos nacionales e internacionales, incluyendo 13 trofeos de la Copa de Europa/UEFA Champions League - más que cualquier otro equipo. Real Madrid también cuenta con una lista sólida de jugadores, pasados y presentes, incluyendo leyendas como Zinedine Zidane, Cristiano Ronaldo y Alfredo Di Stefano.",
        stadium: " El Real Madrid es uno de los clubes de fútbol más exitosos del mundo, con una rica historia que incluye a algunos de los mejores jugadores que jamás hayan honrado este deporte. Desde el legendario Alfredo Di Stefano hasta el icónico Cristiano Ronaldo, el Real Madrid ha producido una larga lista de leyendas del fútbol que han dejado una huella imborrable en el deporte. Zinedine Zidane, quien ganó numerosos títulos con el equipo como jugador y luego volvió a entrenarlo con aún más éxito, también se encuentra entre las figuras más célebres del club. Estas son algunas menciones de honor:",
        cristianoRonaldo: "Cristiano Ronaldo es uno de los jugadores más icónicos que han vestido la camiseta del Real Madrid. Ganó cuatro trofeos de la UEFA Champions League con el equipo, así como numerosos títulos nacionales y premios individuales.",
        zidane: "Zinedine Zidane es ampliamente considerado como uno de los mejores futbolistas de todos los tiempos y es una leyenda en el Real Madrid. Ganó numerosos títulos con el equipo como jugador, incluyendo tres trofeos de la UEFA Champions League, y más tarde regresó como entrenador para llevar al equipo a aún más éxito.",
        diStefano: "Alfredo Di Stefano es una verdadera leyenda del Real Madrid, habiendo jugado para el equipo en los años 50 y 60. Ganó cinco trofeos consecutivos de la Copa de Europa con el equipo y es ampliamente considerado como uno de los mejores jugadores en la historia del club.",
        benzema: "Karim Benzema es un futbolista profesional francés que actualmente juega como delantero para el Real Madrid. Es ampliamente considerado como uno de los mejores delanteros del mundo y ha sido una parte fundamental del éxito del Real Madrid en los últimos años. Benzema ha ganado numerosos títulos nacionales e internacionales con el equipo, incluyendo cuatro trofeos de la UEFA Champions League. Es conocido por su increíble habilidad goleadora, así como por su capacidad para crear oportunidades para sus compañeros de equipo. Benzema también ha sido reconocido con premios individuales, como el premio al Jugador Francés del Año en 2011 y 2012, así como el Balón de Oro.",
        win: "Si quieres ganar un boleto para un partido del Real Madrid, ¡todo lo que necesitas hacer es hacer clic en el botón de abajo y serás redirigido a una página de registro! El Real Madrid es uno de los clubes de fútbol más exitosos del mundo y sus partidos son un espectáculo que no te puedes perder. Desde el rugido de la multitud hasta la habilidad y la destreza de los jugadores en el campo, asistir a un partido del Real Madrid es una experiencia inolvidable. Y ahora, gracias a nuestro sencillo proceso de registro, tienes la oportunidad de estar allí en persona para presenciar toda la acción. ¡No te pierdas esta oportunidad de ver uno de los mejores clubes de fútbol de la historia! Haz clic en el botón ahora y regístrate para tener la oportunidad de ganar.",
        register_btn:"¡Regístrate ahora!"

    }
};

// set language based on hash in URL
function setLanguageFromHash() {
    var hash = window.location.hash.substring(1);
    if (hash === "eng") {
        setLanguage("eng");
    } else if (hash === "es") {
        setLanguage("es");
    }
}

// set language based on language setting in local storage
function setLanguageFromStorage() {
    var lang = localStorage.getItem("lang");
    if (lang) {
        setLanguage(lang);
    }
}

// set language based on selected language
function setLanguage(lang) {
    localStorage.setItem("lang", lang);
    translate(lang, "realMadrid");
    translate(lang, "stadium");
    translate(lang, "cristianoRonaldo");
    translate(lang, "zidane");
    translate(lang, "diStefano");
    translate(lang, "benzema");
    translate(lang, "register_btn");
    translate(lang, "win");
}

// translate a paragraph based on selected language
function translate(lang, paragraphId) {
    var paragraph = document.getElementById(paragraphId);
    if (lang === "eng") {
        paragraph.textContent = language.eng[paragraphId];
    } else if (lang === "es") {
        paragraph.textContent = language.es[paragraphId];
    }
}

// detect language on page load
if (window.location.hash) {
    setLanguageFromHash();
} else {
    setLanguageFromStorage();
}

// set language on click
for (var i = 0; i < datareload.length; i++) {
    datareload[i].addEventListener("click", function() {
        var lang = this.getAttribute("data-reload");
        setLanguage(lang);
    });
}