<?php
    include("submit.php");
   
?>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta charset="UTF-8" />
	<title>User Registration Form</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="../css/submition.css">
</head>
<body>
    <nav>
        <ul class="menu">
          <li><a href="index.php"><i class="fa fa-fw fa-home"></i>Home</a></li>
          <li><a href="projects.php"><i class="fas fa-folder-open"></i></i>Projects</a></li>
          <li>
            <a href="#dropdown" class="split"><i class="fa fa-language"> </i>Languages</a>
            <ul class="submenu">
              <li><a href="#" data-reload="eng">English</a></li>
              <li><a href="#" data-reload="es">Español</a></li>
            </ul>
          </li>
        </ul>
     </nav>







	<div class="form-container">
		<h2 id="form_title">User Registration Form</h2>
	 	<form method="post" action="<?php htmlspecialchars($_SERVER["PHP_SELF"]) ?>">
			<label for="username">Username:</label>
			<input type="text" id="username" name="username" required placeholder="John"><br><br>

			<label for="lastname">Lastname:</label>
			<input type="text" id="lastname" name="lastname" required placeholder="Wick"><br><br>

            <div id="gender_container">
                <label for="gender">Gender:</label>
                <input type="radio" id="male" name="gender" value="male" required>
                <label for="male">Male</label>
                <input type="radio" id="female" name="gender" value="female">
                <label for="female">Female</label><br><br>
            </div>

			<label for="email">Email:</label>
			<input type="email" id="email" name="email" required placeholder="John.wick@gmail.com"><br><br>

			<label for="phone">Phone Number:</label>
			<input type="text" id="phone" name="phone" required placeholder=" +33 93 077 5053"><br><br>

			<input type="submit" value="Submit">
            <div id="message"></div>
            <div id="exist"></div>
		</form>
	</div>
    <?php
        session_start();
        if($_SERVER["REQUEST_METHOD"] == "POST"){
            $username = filter_input(INPUT_POST, "username", FILTER_SANITIZE_SPECIAL_CHARS);
            $lastname = filter_input(INPUT_POST, "lastname", FILTER_SANITIZE_SPECIAL_CHARS);
            $gender = filter_input(INPUT_POST, "gender", FILTER_SANITIZE_SPECIAL_CHARS);
            $email = filter_input(INPUT_POST, "email", FILTER_SANITIZE_EMAIL);
            $phonenumber = filter_input(INPUT_POST, "phone", FILTER_SANITIZE_SPECIAL_CHARS);
        
            if(empty($username) || empty($lastname) || empty($email) || empty($phonenumber)){
                echo "Please fill in all the fields";
            } else {
                $sql_check = "SELECT * FROM users WHERE email = :email";
                $stmt = $conn->prepare($sql_check);
                $stmt->bindValue(':email', $email);
                $stmt->execute();
                $result = $stmt->fetch(PDO::FETCH_ASSOC);
        
                if($result){
                    echo '<script>';
                    echo 'document.getElementById("exist").innerHTML = "User already exists."';
                    echo '</script>';
                } else {
                    $sql_insert = "INSERT INTO users (firstName, lastName, gender, email, phonenumber) VALUES (:firstName, :lastName, :gender, :email, :phonenumber)";
                    $stmt = $conn->prepare($sql_insert);
                    $stmt->bindValue(':firstName', $username);
                    $stmt->bindValue(':lastName', $lastname);
                    $stmt->bindValue(':gender', $gender);
                    $stmt->bindValue(':email', $email);
                    $stmt->bindValue(':phonenumber', $phonenumber);
                    $stmt->execute();
        
                    echo '<script>';
                    echo 'document.getElementById("message").innerHTML = "You are registered."';
                    echo '</script>';
                }
            }
        }
        
        $conn = null;
        
        
        
?>

    <script src="../js/submition.js"></script>
</body>
</html>
